%define module	Imager
%define name	perl-%{module}
%define version	0.55
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for generating 24 bit images
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Imager/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  fontconfig-devel
BuildRequires:  t1lib-devel
BuildRequires:  ungif-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%setup -q -n %{module}-%{version}

%build
IM_SUPPRESS_PROMPT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make "CFLAGS=%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*


%changelog
* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.55-2mdv2007.0
+ Revision: 122009
- add buildrequires to enable format support

* Thu Jan 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.55-1mdv2007.1
+ Revision: 103938
- 0.55

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.54-1mdv2007.1
+ Revision: 94360
- 0.54
- 0.53
- Import perl-Imager



* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2007.0
- New release 0.51

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdk
- new version
- proper cflags
- repmbuildupdate aware
- fix directory ownership

* Wed Mar 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.49-1mdk
- 0.49

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.47-1mdk
- 0.47

* Tue Dec 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.46-1mdk
- 0.46

* Fri Jun 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.45-1mdk
- First Mandriva release
